persistence:
  enabled: true
  existingClaim: minio-nfs
volumePermissions:
  enabled: true
# securityContext:
#   fsGroup: 1000
#   runAsUser: 1000

auth:
  existingSecret: minio-credentials
metrics:
  serviceMonitor:
    enabled: true
    additionalLabels:
      release: prometheus
ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: "nginx"
    kubernetes.io/tls-acme: "true"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/proxy-body-size: 102400m
    nginx.ingress.kubernetes.io/auth-url: "https://pass.junv.cc/oauth2/auth"
    nginx.ingress.kubernetes.io/auth-signin: "https://pass.junv.cc/oauth2/start?rd=https://$host$escaped_request_uri"
  path: /
  hostname: minio.junv.cc
  tls: true
  certManager: true
